- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKColorElement Class Reference

`#include <IWORKColorElement.h>`

Inheritance diagram for libetonyek::IWORKColorElement:

## Public Member Functions
| IWORKColorElement (IWORKXMLParserState &state, boost::optional< IWORKColor > &color)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
virtual void | attribute (int name, const char *value)
virtual void | endOfElement ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< IWORKColor > & | m_color
double | m_r
double | m_g
double | m_b
double | m_a

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKColorElement::IWORKColorElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKColor > & | color
| ) |  |

## Member Function Documentation

void libetonyek::IWORKColorElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| protected virtual

void libetonyek::IWORKColorElement::endOfElement | ( |  | ) |
| protected virtual

## Member Data Documentation

double libetonyek::IWORKColorElement::m_a
| private

Referenced by attribute(), and endOfElement().

double libetonyek::IWORKColorElement::m_b
| private

Referenced by attribute(), and endOfElement().

boost::optional<IWORKColor>& libetonyek::IWORKColorElement::m_color
| private

Referenced by endOfElement().

double libetonyek::IWORKColorElement::m_g
| private

Referenced by attribute(), and endOfElement().

double libetonyek::IWORKColorElement::m_r
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKColorElement.h
- IWORKColorElement.cpp